package cd.casic.ci.process.process.service.aflManager;

import cd.casic.ci.process.dto.req.aflManager.AflManagerReq;
import cd.casic.ci.process.dto.resp.aflManager.AflCrashesInfoResp;
import cd.casic.ci.process.dto.resp.aflManager.AflCrashesResp;
import cd.casic.ci.process.process.dataObject.aflManager.AflCrashesInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import jakarta.validation.Valid;

import java.util.List;

/**
 * @author HopeLi
 * @version v1.0
 * @ClassName AflInfoService
 * @Date: 2025/5/17 10:20
 * @Description:
 */
public interface AflCrashesInfoService extends IService<AflCrashesInfo> {

    String saveAflCrashesInfo(@Valid AflManagerReq req);

    void updateHistoryPipelineIdByAflCrashesInfo(@Valid AflManagerReq req);

    List<AflCrashesInfoResp> findAflCrashesInfoListByHistory(@Valid AflManagerReq req);


    AflCrashesResp findCrashesCount(@Valid AflManagerReq req);

    List<AflCrashesInfoResp> findCrashesNow(@Valid AflManagerReq req);
}
